# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "niceCommit/version"

Gem::Specification.new do |spec|
  spec.name          = "niceCommit"
  spec.version       = NiceCommit::VERSION
  spec.authors       = ["Michael Sanchez"]
  spec.email         = ["michael@sanchezcr.com"]

  spec.summary       = %q{Execute pre-commit hooks to warranty code quality and style}
  spec.description   = %q{Execute pre-commit hooks to warranty code quality and style for Android, iOS or java. Select the hook to use.}
  spec.homepage      = "https://github.com/sanchezcr/niceCommit.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib","availableHooks"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
end
